Page MenuHomePhabricator

Page preview shows own page when hovering reference backlinks
Closed, ResolvedPublic

Description

I noticed that the Page-Previews feature sometimes shows a preview of the own page.

In this example it only happens when hovering the "^" backlink, but not when hovering the "a b c" backlinks in the reference above.

This issue will become more critical when the German-Community-Wishlist team starts working on adding actual reference previews (see T186129).

Ideas for possible fixes:

  • This might be very easy to fix just by adding another entry to the BLACKLISTED_LINKS array at the beginning of the file src/index.js.
  • A better, more sustainable way to fix this might be to always exclude the own page. Note this should only be done for the page popup type, not for the planned reference popup type.

Event Timeline

I spoke with Nirzar and we concluded that this behavior is not desired. Two possible solutions:

  • replace the page preview with a simple tooltip that says something like "jump to where this is referenced in the article" (hopefully more concisely than that)
  • remove the page preview and do nothing on hover

Change 484698 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Popups@master] Also exclude the Cite extension's "Jump up" backlinks

https://gerrit.wikimedia.org/r/484698

thiemowmde reopened this task as Open.Jan 16 2019, 4:54 PM
thiemowmde claimed this task.
thiemowmde triaged this task as Normal priority.
thiemowmde moved this task from Sprint Backlog to Review on the WMDE-QWERTY-Sprint-2019-01-10 board.

Change 484698 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Also exclude the Cite extension's "Jump up" backlinks

https://gerrit.wikimedia.org/r/484698

Izno moved this task from Unsorted backlog to External on the Cite board.Jan 19 2019, 1:29 AM
Lea_WMDE closed this task as Resolved.Jan 23 2019, 1:14 PM
Lea_WMDE moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2019-01-10 board.